[libsocialweb] autogen.sh: don't configure if NOCONFIGURE is set



commit 6199dc36bc63d89b07bcf80181e08107a9afaf8f
Author: Simon McVittie <simon mcvittie collabora co uk>
Date:   Wed Mar 6 11:33:15 2013 +0000

    autogen.sh: don't configure if NOCONFIGURE is set
    
    As proposed in http://people.gnome.org/~walters/docs/build-api.txt
    and widely supported in GNOME. This is particularly useful if you're
    about to configure for an out-of-tree build.
    
    Also use "set -e" to avoid having to scatter "|| exit 1" everywhere.
    
    Signed-off-by: Simon McVittie <simon mcvittie collabora co uk>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=695280
    Reviewed-by: Ross Burton <ross burtonini com>

 autogen.sh |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 2e1e8ca..e8fe0f6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,9 @@
 #!/bin/sh
+
+set -e
+
 mkdir -p m4
-gtkdocize || exit 1
-intltoolize --copy --force --automake || exit 1
-ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -i && ./configure $@
+gtkdocize
+intltoolize --copy --force --automake
+ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -i
+test -n "$NOCONFIGURE" || ./configure $@


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]